Subject: bug#14574: prog-prettify-symbols breaks font-locking

From: Ted Zlatanov <[email-masked]>
Date: Mon, 17 Jun 2013 03:25:29 -0400

On Mon, 17 Jun 2013 04:49:57 +0200 Juanma Barranquero <[email-masked]> wrote: 

JB> On Mon, Jun 17, 2013 at 4:45 AM, Eli Zaretskii <[email-masked]> wrote:
>> Won't that remove _all_ composition properties, not just those added
>> by prog-prettify-symbols?

JB> Yes. So if someone is editing with a programming mode that uses
JB> prettifying, *and* has enabled prettifying, *and* has other,
JB> unrelated, composed chars in the buffer, *and* turns off font-locking,
JB> s/he will have a bit of trouble. Seems bearable to me, pending real
JB> user complains.

IIUC, that would be pretty annoying when editing Perl or other languages
with Unicode (e.g. Cyrillic) data in the script.

Ted